* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}
.sidebar {
    position: fixed;
    height: 100%;
    width: 190px;
    transition: all 0.3s ease;
}

.sidebar.active {
    width: 60px;
}
.logo-appbar1 {
    width: 235px;
    margin-left: 15px;
}
.logo-appbar2 {
    width: 220px;
}
.sidebar .nav-links li {
    position: relative;
    list-style: none;
    height: 60px;
}
.sidebar .nav-links li a {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    text-decoration: none;
    transition: all 0.4s ease;
}
.sidebar .nav-links li i {
    min-width: 60px;
    text-align: center;
    font-size: 30px;
    color: #fff;
}
.sidebar .nav-links li a .links_name {
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    white-space: nowrap;
}

.contenedor {
    position: relative;
    width: calc(100% - 190px);
    left: 190px;
    transition: all 0.3s ease;
}
.sidebar.active ~ .contenedor {
    width: calc(100% - 60px);
    left: 60px;
}
.contenedor nav {
    display: flex;
    justify-content: space-between;
    height: 60px;
    background-color: rgba(255, 255, 255, 0.074);
    border: 1px solid rgba(255, 255, 255, 0.222);
    backdrop-filter: blur(20px);
    display: flex;
    align-items: center;
    position: fixed;
    width: calc(100% - 190px);
    left: 190px;
    z-index: 1;
    padding: 0 12px;
    transition: all 0.3s ease;
}
.sidebar.active ~ .contenedor nav {
    left: 60px;
    width: calc(100% - 60px);
}
.contenedor nav .sidebar-button {
    display: flex;
    align-items: center;
    font-size: 24px;
    font-weight: 500;
}
nav .sidebar-button i {
    font-size: 35px;
}
.contenedor .contenido {
    position: relative;
    padding: 80px 15px 100px 15px;
}
.dropdown-toggle::after {
    display: inline-block;
    margin-left: 0;
    vertical-align: 0.255em;
    content: "";
    border-top: 0.3em solid;
    border-right: 0.3em solid transparent;
    border-bottom: 0;
    border-left: 0.3em solid transparent;
}
.appbar {
    justify-content: space-between;
}
ol,
ul {
    padding-left: 0;
}
@media (max-width: 1920px) {
    .sidebar {
        width: 60px;
    }
    .sidebar.active {
        width: 220px;
    }
    .contenedor {
        width: calc(100% - 60px);
        left: 60px;
    }
    .sidebar.active ~ .contenedor {
        width: calc(100% - 220px);
        overflow: hidden;
        left: 220px;
    }
    .contenedor nav {
        width: calc(100% - 60px);
        left: 60px;
    }
    .sidebar.active ~ .contenedor nav {
        width: calc(100% - 220px);
        left: 220px;
    }
    .sidebar:not(.active) .links_name {
        opacity: 0;
    }
}
@media (max-width: 1200px) {
    .sidebar {
        width: 60px;
    }
    .sidebar.active {
        width: 220px;
    }
    .contenedor {
        width: calc(100% - 60px);
        left: 60px;
    }
    .sidebar.active ~ .contenedor {
        width: calc(100% - 220px);
        overflow: hidden;
        left: 220px;
    }
    .contenedor nav {
        width: calc(100% - 60px);
        left: 60px;
    }
    .sidebar.active ~ .contenedor nav {
        width: calc(100% - 220px);
        left: 220px;
    }
    .sidebar:not(.active) .links_name {
        display: none;
        transition: all 3s ease;
    }
}
@media (max-width: 1024px) {
    .sidebar {
        width: 0px;
    }
    .sidebar.active {
        width: 65px;
    }
    .contenedor {
        width: calc(100% - 0px);
        left: 0px;
    }
    .sidebar.active ~ .contenedor {
        width: calc(100% - 60px);
        left: 60px;
    }
    .contenedor nav {
        width: calc(100% - 0px);
        left: 0px;
    }
    .sidebar.active ~ .contenedor nav {
        width: calc(100% - 65px);
        left: 65px;
    }
    .sidebar:not(.active) .material-icons {
        display: none;
        transition: all 0.5s ease;
        transition-delay: 1s;
    }
    .sidebar li a span {
        display: none;
    }
}
